Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TiXmlDeclaration Class Reference

In correct XML the declaration is the first entry in the file. More...

`#include "tinyxml.h"`

Inheritance diagram for TiXmlDeclaration:

## Public Member Functions
| TiXmlDeclaration ()
| Construct an empty declaration.
| TiXmlDeclaration (const char *_version, const char *_encoding, const char *_standalone)
| Construct.
| TiXmlDeclaration (const TiXmlDeclaration &copy)
virtual bool | Accept (TiXmlVisitor *visitor) const
| Walk the XML tree visiting this node and all of its children.
virtual TiXmlNode * | Clone () const
| Creates a copy of this Declaration and returns it.
const char * | Encoding () const
| Encoding. Will return an empty string if none was found.
void | operator= (const TiXmlDeclaration &copy)
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
virtual void | Print (FILE *cfile, int depth) const
| All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.
virtual void | Print (FILE *cfile, int depth, TiXmlString *str) const
const char * | Standalone () const
| Is this a standalone document?
virtual TiXmlDeclaration * | ToDeclaration ()
| Cast to a more defined type. Will return null not of the requested type.
virtual const TiXmlDeclaration * | ToDeclaration () const
| Cast to a more defined type. Will return null not of the requested type.
const char * | Version () const
| Version. Will return an empty string if none was found.
Public Member Functions inherited from TiXmlNode
void | Clear ()
| Delete all the children of this node. Does not affect 'this'.
TiXmlNode * | FirstChild ()
const TiXmlNode * | FirstChild () const
| The first child of this node. Will be null if there are no children.
TiXmlNode * | FirstChild (const char *_value)
| The first child of this node with the matching 'value'. Will be null if none found.
const TiXmlNode * | FirstChild (const char *value) const
| The first child of this node with the matching 'value'.
TiXmlElement * | FirstChildElement ()
const TiXmlElement * | FirstChildElement () const
| Convenience function to get through elements.
TiXmlElement * | FirstChildElement (const char *_value)
const TiXmlElement * | FirstChildElement (const char *_value) const
| Convenience function to get through elements.
TiXmlDocument * | GetDocument ()
const TiXmlDocument * | GetDocument () const
| Return a pointer to the Document this node lives in.
TiXmlNode * | InsertAfterChild (TiXmlNode *afterThis, const TiXmlNode &addThis)
| Add a new node related to this.
TiXmlNode * | InsertBeforeChild (TiXmlNode *beforeThis, const TiXmlNode &addThis)
| Add a new node related to this.
TiXmlNode * | InsertEndChild (const TiXmlNode &addThis)
| Add a new node related to this.
TiXmlNode * | IterateChildren (const char *_value, const TiXmlNode *previous)
const TiXmlNode * | IterateChildren (const char *value, const TiXmlNode *previous) const
| This flavor of IterateChildren searches for children with a particular 'value'.
TiXmlNode * | IterateChildren (const TiXmlNode *previous)
const TiXmlNode * | IterateChildren (const TiXmlNode *previous) const
| An alternate way to walk the children of a node.
TiXmlNode * | LastChild ()
| The last child of this node. Will be null if there are no children.
const TiXmlNode * | LastChild () const
TiXmlNode * | LastChild (const char *_value)
| The last child of this node matching 'value'. Will be null if there are no children.
const TiXmlNode * | LastChild (const char *value) const
TiXmlNode * | LinkEndChild (TiXmlNode *addThis)
| Add a new node related to this.
TiXmlNode * | NextSibling ()
const TiXmlNode * | NextSibling () const
| Navigate to a sibling node.
const TiXmlNode * | NextSibling (const char *) const
| Navigate to a sibling node with the given 'value'.
TiXmlNode * | NextSibling (const char *_next)
TiXmlElement * | NextSiblingElement ()
const TiXmlElement * | NextSiblingElement () const
| Convenience function to get through elements.
const TiXmlElement * | NextSiblingElement (const char *) const
| Convenience function to get through elements.
TiXmlElement * | NextSiblingElement (const char *_next)
bool | NoChildren () const
| Returns true if this node has no children.
TiXmlNode * | Parent ()
| One step up the DOM.
const TiXmlNode * | Parent () const
TiXmlNode * | PreviousSibling ()
const TiXmlNode * | PreviousSibling () const
| Navigate to a sibling node.
const TiXmlNode * | PreviousSibling (const char *) const
| Navigate to a sibling node.
TiXmlNode * | PreviousSibling (const char *_prev)
bool | RemoveChild (TiXmlNode *removeThis)
| Delete a child of this node.
TiXmlNode * | ReplaceChild (TiXmlNode *replaceThis, const TiXmlNode &withThis)
| Replace a child of this node.
void | SetValue (const char *_value)
| Changes the value of the node.
virtual TiXmlComment * | ToComment ()
| Cast to a more defined type. Will return null if not of the requested type.
virtual const TiXmlComment * | ToComment () const
| Cast to a more defined type. Will return null if not of the requested type.
virtual TiXmlDocument * | ToDocument ()
| Cast to a more defined type. Will return null if not of the requested type.
virtual const TiXmlDocument * | ToDocument () const
| Cast to a more defined type. Will return null if not of the requested type.
virtual TiXmlElement * | ToElement ()
| Cast to a more defined type. Will return null if not of the requested type.
virtual const TiXmlElement * | ToElement () const
| Cast to a more defined type. Will return null if not of the requested type.
virtual TiXmlText * | ToText ()
| Cast to a more defined type. Will return null if not of the requested type.
virtual const TiXmlText * | ToText () const
| Cast to a more defined type. Will return null if not of the requested type.
virtual TiXmlUnknown * | ToUnknown ()
| Cast to a more defined type. Will return null if not of the requested type.
virtual const TiXmlUnknown * | ToUnknown () const
| Cast to a more defined type. Will return null if not of the requested type.
int | Type () const
| Query the type (as an enumerated value, above) of this node.
const char * | Value () const
| The meaning of 'value' changes for the specific type of TiXmlNode.
const TiXmlString & | ValueTStr () const
Public Member Functions inherited from TiXmlBase
int | Column () const
| See Row()
void * | GetUserData ()
| Get a pointer to arbitrary user data.
const void * | GetUserData () const
| Get a pointer to arbitrary user data.
int | Row () const
| Return the position, in the original source file, of this node or attribute.
void | SetUserData (void *user)
| Set a pointer to arbitrary user data.

## Additional Inherited Members
Public Types inherited from TiXmlNode
enum | NodeType { TINYXML_DOCUMENT , TINYXML_ELEMENT , TINYXML_COMMENT , TINYXML_UNKNOWN , TINYXML_TEXT , TINYXML_DECLARATION , TINYXML_TYPECOUNT }
| The types of XML nodes supported by TinyXml. More...
Public Types inherited from TiXmlBase
enum | { TIXML_NO_ERROR = 0 , TIXML_ERROR , TIXML_ERROR_OPENING_FILE , TIXML_ERROR_PARSING_ELEMENT , TIXML_ERROR_FAILED_TO_READ_ELEMENT_NAME , TIXML_ERROR_READING_ELEMENT_VALUE , TIXML_ERROR_READING_ATTRIBUTES , TIXML_ERROR_PARSING_EMPTY , TIXML_ERROR_READING_END_TAG , TIXML_ERROR_PARSING_UNKNOWN , TIXML_ERROR_PARSING_COMMENT , TIXML_ERROR_PARSING_DECLARATION , TIXML_ERROR_DOCUMENT_EMPTY , TIXML_ERROR_EMBEDDED_NULL , TIXML_ERROR_PARSING_CDATA , TIXML_ERROR_DOCUMENT_TOP_ONLY , TIXML_ERROR_STRING_COUNT }
Static Public Member Functions inherited from TiXmlBase
static void | EncodeString (const TiXmlString &str, TiXmlString *out)
| Expands entities in a string.
static bool | IsWhiteSpaceCondensed ()
| Return the current white space setting.
static void | SetCondenseWhiteSpace (bool condense)
| The world does not agree on whether white space should be kept or not.
Static Public Attributes inherited from TiXmlBase
static const int | utf8ByteTable [256]

## Detailed Description

In correct XML the declaration is the first entry in the file.

        <?xml version="1.0" standalone="yes"?>

TinyXml will happily read or write files without a declaration, however. There are 3 possible attributes to the declaration: version, encoding, and standalone.

Note: In this version of the code, the attributes are handled as special cases, not generic attributes, simply because there can only be at most 3 and they are always the same.

Definition at line 1278 of file tinyxml.h.

## Constructor & Destructor Documentation

## ◆ TiXmlDeclaration() [1/3]

TiXmlDeclaration::TiXmlDeclaration | ( |  | ) |
| inline

Construct an empty declaration.

Definition at line 1282 of file tinyxml.h.

Referenced by Clone(), ToDeclaration(), and ToDeclaration().

## ◆ TiXmlDeclaration() [2/3]

TiXmlDeclaration::TiXmlDeclaration | ( | const char * | _version,
|  | const char * | _encoding,
|  | const char * | _standalone )

Construct.

Definition at line 1355 of file tinyxml.cpp.

## ◆ TiXmlDeclaration() [3/3]

TiXmlDeclaration::TiXmlDeclaration | ( | const TiXmlDeclaration & | copy | ) |

Definition at line 1379 of file tinyxml.cpp.

## ◆ ~TiXmlDeclaration()

virtual TiXmlDeclaration::~TiXmlDeclaration | ( |  | ) |
| inline virtual

Definition at line 1299 of file tinyxml.h.

## Member Function Documentation

## ◆ Accept()

bool TiXmlDeclaration::Accept | ( | TiXmlVisitor * | visitor | ) | const
| virtual

Walk the XML tree visiting this node and all of its children.

Implements TiXmlNode.

Definition at line 1425 of file tinyxml.cpp.

References TiXmlVisitor::Visit().

## ◆ Clone()

TiXmlNode * TiXmlDeclaration::Clone | ( |  | ) | const
| virtual

Creates a copy of this Declaration and returns it.

Implements TiXmlNode.

Definition at line 1431 of file tinyxml.cpp.

References TiXmlDeclaration().

## ◆ Encoding()

const char * TiXmlDeclaration::Encoding | ( |  | ) | const
| inline

Encoding. Will return an empty string if none was found.

Definition at line 1304 of file tinyxml.h.

Referenced by TiXmlDocument::Parse().

## ◆ operator=()

void TiXmlDeclaration::operator= | ( | const TiXmlDeclaration & | copy | ) |

Definition at line 1386 of file tinyxml.cpp.

## ◆ Parse()

const char * TiXmlDeclaration::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data,
|  | TiXmlEncoding | encoding )
| virtual

Implements TiXmlBase.

Definition at line 1569 of file tinyxmlparser.cpp.

## ◆ Print()

virtual void TiXmlDeclaration::Print | ( | FILE * | cfile,
|  | int | depth ) const
| inline virtual

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

Definition at line 1312 of file tinyxml.h.

## ◆ Standalone()

const char * TiXmlDeclaration::Standalone | ( |  | ) | const
| inline

Is this a standalone document?

Definition at line 1306 of file tinyxml.h.

## ◆ ToDeclaration() [1/2]

virtual TiXmlDeclaration * TiXmlDeclaration::ToDeclaration | ( |  | ) |
| inline virtual

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

Definition at line 1319 of file tinyxml.h.

References TiXmlDeclaration().

## ◆ ToDeclaration() [2/2]

virtual const TiXmlDeclaration * TiXmlDeclaration::ToDeclaration | ( |  | ) | const
| inline virtual

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

Definition at line 1318 of file tinyxml.h.

References TiXmlDeclaration().

## ◆ Version()

const char * TiXmlDeclaration::Version | ( |  | ) | const
| inline

Version. Will return an empty string if none was found.

Definition at line 1302 of file tinyxml.h.

The documentation for this class was generated from the following files:

- panda/src/dxml/tinyxml.h
- panda/src/dxml/tinyxml.cpp
- panda/src/dxml/tinyxmlparser.cpp